Just caught some interesting news – according to this post there will be no support in Vista for MSDE 1.0 or 2000. More on the SQL MSDN blog. Additional coverage here. IMHO this is a good thing!